curl -H 'Authorization: Bearer <your-api-key>' \
https://engine.hyperbeam.com/v0/vm/<session_id>
{
"session_id": "c5772689-2255-4e59-8cea-b846cda7ad4e",
"embed_url": "https://96xljbfypmn3ibra366yqapci.hyperbeam.com/AAEjQFOIRnyeb81XbBsHMw?token=VTWsp1KGn4lLySRkUCmmAhsCcqJrPdhTXNS0Y-KPwHU",
"admin_token": "DrXWd9QguPRSXwhQn4yJ66sExpoV0BZtAfZsseYECKo",
"creation_date": "2025-01-02T15:04:05Z07:00",
"termination_date": null
}
Dispatch API
Get Single Session
GET
/
v0
/
vm
/
{session_id}
curl -H 'Authorization: Bearer <your-api-key>' \
https://engine.hyperbeam.com/v0/vm/<session_id>
{
"session_id": "c5772689-2255-4e59-8cea-b846cda7ad4e",
"embed_url": "https://96xljbfypmn3ibra366yqapci.hyperbeam.com/AAEjQFOIRnyeb81XbBsHMw?token=VTWsp1KGn4lLySRkUCmmAhsCcqJrPdhTXNS0Y-KPwHU",
"admin_token": "DrXWd9QguPRSXwhQn4yJ66sExpoV0BZtAfZsseYECKo",
"creation_date": "2025-01-02T15:04:05Z07:00",
"termination_date": null
}
Parameters
The ID of the cloud computer session
Response
string
The ID of the cloud computer session
string
A URL you can load into the web client on your
website
string
A token that grants access to the cloud computer API and an exclusive subset
of the client-side web API. Needed for setting permissions and programmatic
control.
string
The creation date of the cloud computer session. Formatted according to
RFC3339 (e.g.
2006-01-02T15:04:05Z07:00).
string or null
The termination date of the cloud computer session. Formatted according to
RFC3339 (e.g.
2006-01-02T15:04:05Z07:00).
null if the session hasn’t terminated yet.curl -H 'Authorization: Bearer <your-api-key>' \
https://engine.hyperbeam.com/v0/vm/<session_id>
{
"session_id": "c5772689-2255-4e59-8cea-b846cda7ad4e",
"embed_url": "https://96xljbfypmn3ibra366yqapci.hyperbeam.com/AAEjQFOIRnyeb81XbBsHMw?token=VTWsp1KGn4lLySRkUCmmAhsCcqJrPdhTXNS0Y-KPwHU",
"admin_token": "DrXWd9QguPRSXwhQn4yJ66sExpoV0BZtAfZsseYECKo",
"creation_date": "2025-01-02T15:04:05Z07:00",
"termination_date": null
}